	{ Ce schema decrit la traduction des paragraphes en LaTeX.

	  V. Quint	Janvier 1988 }

TRANSLATION Paragraphe;

LINELENGTH 78;

RULES

   Simple_paragraphe :
	BEGIN
	create '\12';

	create '\12' after;
	END;

   Citation :
	BEGIN
	create '\12\begin{quotation}\12';
	create '\12\end{quotation}\12' after;
	END;

   Exemple :
	BEGIN
	create '\begin{verbatim}\12';
	NoLineBreak;
	NoTranslation;
	create '\end{verbatim}\12' after;
	END;

   Ligne_exemple :
	BEGIN
	create '\12' after;
	END;

   Liste :
	BEGIN
	create '\12\begin{itemize}\12';
	create '\12\end{itemize}\12' after;
	END;

   Item_liste :
	BEGIN
	create '\12\item ' Before;
	END;

   Description :
	BEGIN
	create '\12\begin{description}\12';
	create '\12\end{description}\12' after;
	END;

   Intitul\351_descr :
	BEGIN
	create '\12\item[';
	create ']\12' after;
	END;

   Titre_parag :
	BEGIN
	create '\12\paragraph{';
	create '}\12' after;
	END;

   Enum\351ration :
	BEGIN
	create '\12\begin{enumerate}\12';
	create '\12\end{enumerate}\12' after;
	END;

   Item_\351num\351ration :
	BEGIN
	create '\12\item ' Before;
	END;

   Programme_indent\351 :
	BEGIN
	create '\12{\small';
	create '\12\begin{verbatim}\12';
	NoLineBreak;
	NoTranslation;
	create '\12\end{verbatim}\12' after;
	create '}\12' after;
	END;

   Instruction :
	create '\12' after;

{*******************
   Bloc_instructions :
	write 'Le retrait des blocs de programme est perdu\12';
*******************}

   Cote_a_cote :
	begin
	Create '\setlength{\thotwidth}{\linewidth} \addtolength{\thotwidth}{-.53\thotwidth}';
	end;

   A_gauche :
	BEGIN
	Create '\12\12\bigskip\12\noindent\12\begin{minipage}[t]{\thotwidth}';
	Create '\end{minipage}\hfill' after;
	END;

   A_droite :
	BEGIN
	Create '\12\begin{minipage}[t]{\thotwidth}';
	Create '\end{minipage}\12' after;
	END;

   Paragraphes_group\351s :
	BEGIN
	create '\12';
	create '\12' after;
	END;

PRESENTATION

   Style = Bold:
        BEGIN
        Create '{\bf ';
        Create '}' After;
        END;
 
   Style = Italics:
        BEGIN
        Create '{\em ';
        Create '}' After;
        END;

   Style = Oblique:
        BEGIN
        Create '{\sl ';
        Create '}' After;
        END;
 
   Font = Helvetica:
        BEGIN
        Create '{\sf ';
        Create '}' After;
        END;
 
   Font = Courier:
        BEGIN
        Create '{\tt ';
        Create '}' After;
        END;

   Font = Times:
        BEGIN
        {****}
        END;

   Adjust = Left :
        BEGIN
        Create '\begin{flushleft}\12';
        Create '\end{flushleft}\12' after;
        END;

   Adjust = Right :
        BEGIN     
        Create '\begin{flushright}\12';
        Create '\end{flushright}\12' after;
        END;

   Adjust = VMiddle :
        BEGIN     
        Create '\begin{center}\12';
        Create '\end{center}\12' after;
        END;

   Adjust = LeftWithDots:
        BEGIN
        Create '\dotfill\12' after;   
        END;

   UnderLine = UnderLine :
        BEGIN
        Create '\underline{ ';
        create '}' after;
        END;
 
   UnderLine = OverLine :
        BEGIN
        Create '$\overline{\rm ';
        create '}$' after;
        END;
 
{ UnderLine = StrikeOut :
        BEGIN
        Create xxx
        create  xxx after;
        END; }
 
   Background :
        BEGIN
         {******}
        END;
 
   Foreground :
        BEGIN
          {******}
        END;

END
